| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::DepthAttachmentDescriptor Struct Reference

`#include <formats.h>`

## Public Member Functions
constexpr bool | operator== (const DepthAttachmentDescriptor &o) const
constexpr size_t | GetHash () const

## Public Attributes
CompareFunction | depth_compare = CompareFunction::kAlways
bool | depth_write_enabled = false

## Detailed Description

Definition at line 584 of file formats.h.

## Member Function Documentation

## ◆ GetHash()

constexpr size_t impeller::DepthAttachmentDescriptor::GetHash | ( |  | ) | const
| inline constexpr

Definition at line 599 of file formats.h.

599 {
600 return fml::HashCombine(depth_compare, depth_write_enabled);
601 }

References depth_compare, and depth_write_enabled.

Referenced by std::hash< impeller::DepthAttachmentDescriptor >::operator()().

## ◆ operator==()

constexpr bool impeller::DepthAttachmentDescriptor::operator== | ( | const DepthAttachmentDescriptor & | o | ) | const
| inline constexpr

Definition at line 594 of file formats.h.

594 {
595 return depth_compare == o.depth_compare &&
596 depth_write_enabled == o.depth_write_enabled;
597 }

References depth_compare, and depth_write_enabled.

## Member Data Documentation

## ◆ depth_compare

CompareFunction impeller::DepthAttachmentDescriptor::depth_compare = CompareFunction::kAlways

Indicates how to compare the value with that in the depth buffer.

Definition at line 588 of file formats.h.

Referenced by impeller::scene::SceneContextOptions::ApplyToPipelineDescriptor(), impeller::ContentContextOptions::ApplyToPipelineDescriptor(), GetHash(), impeller::PipelineBuilder< VertexShader_, FragmentShader_ >::InitializePipelineDescriptorDefaults(), operator==(), and impeller::ToMTLDepthStencilDescriptor().

## ◆ depth_write_enabled

bool impeller::DepthAttachmentDescriptor::depth_write_enabled = false

Indicates when writes must be performed to the depth buffer.

Definition at line 592 of file formats.h.

Referenced by impeller::scene::SceneContextOptions::ApplyToPipelineDescriptor(), impeller::ContentContextOptions::ApplyToPipelineDescriptor(), GetHash(), and operator==().

The documentation for this struct was generated from the following file:

- impeller/core/formats.h

impeller::DepthAttachmentDescriptor::depth_write_enabled
bool depth_write_enabled
Definition: formats.h:592
impeller::DepthAttachmentDescriptor::depth_compare
CompareFunction depth_compare
Definition: formats.h:588